On Jun 26, 7:24 am, Daniel Berger <djber... / gmail.com> wrote:
> Hi,
>
> Ruby 1.8.6Rubyscript2exe0.5.3
> OCI8 1.0.0rc2
> Windows XP Pro
>
> I wrote a program that uses DBI + OCI8. It compiles fine, but when I
> run the executable I get an NLS_LANG error fromOracle. This does not
> happen if I run it from the command line.

<snip>

I found that doing this at the top of the script solved the problem:

ENV['NLS_LANG'] = "AMERICAN_AMERICA.WE8ISO8859P15"

YMMV.

Regards,

Dan